
#include <stdint.h>

#include "GUI.h"
#include "stm32h743i_eval_ts.h"
#include "colors.h"

#include "chck.h"




void draw_checker(chck_area_t *chck_area, uint8_t active)
{
    GUI_SetColor(GUI_GRAY);
    GUI_FillRoundedFrame(chck_area->x, chck_area->y, chck_area->x+chck_area->s, chck_area->y+chck_area->s, 5, 3);
    GUI_SetColor(GUI_LIGHTGRAY);
    GUI_FillRoundedFrame(chck_area->x+3, chck_area->y+3, chck_area->x+chck_area->s-3, chck_area->y+chck_area->s-3, 5, 3);

    if ( active ) {
        GUI_SetColor(UTIA_COLOR_BLUE2);
    } else {
        GUI_SetColor(UTIA_COLOR_GRAY_L);
    }

    GUI_DrawLine(chck_area->x + 12, chck_area->y + 10, chck_area->x + chck_area->s - 10, chck_area->y + chck_area->s - 12);
    GUI_DrawLine(chck_area->x + 11, chck_area->y + 10, chck_area->x + chck_area->s - 10, chck_area->y + chck_area->s - 11);
    GUI_DrawLine(chck_area->x + 10, chck_area->y + 10, chck_area->x + chck_area->s - 10, chck_area->y + chck_area->s - 10);
    GUI_DrawLine(chck_area->x + 10, chck_area->y + 11, chck_area->x + chck_area->s - 11, chck_area->y + chck_area->s - 10);
    GUI_DrawLine(chck_area->x + 10, chck_area->y + 12, chck_area->x + chck_area->s - 12, chck_area->y + chck_area->s - 10);
                                
    GUI_DrawLine(chck_area->x + 10, chck_area->y + chck_area->s - 12, chck_area->x + chck_area->s - 12, chck_area->y + 10);
    GUI_DrawLine(chck_area->x + 10, chck_area->y + chck_area->s - 11, chck_area->x + chck_area->s - 11, chck_area->y + 10);
    GUI_DrawLine(chck_area->x + 10, chck_area->y + chck_area->s - 10, chck_area->x + chck_area->s - 10, chck_area->y + 10);
    GUI_DrawLine(chck_area->x + 11, chck_area->y + chck_area->s - 10, chck_area->x + chck_area->s - 10, chck_area->y + 11);
    GUI_DrawLine(chck_area->x + 12, chck_area->y + chck_area->s - 10, chck_area->x + chck_area->s - 10, chck_area->y + 12);

}


uint32_t get_checker(TS_StateTypeDef *touch_state, chck_area_t *chck_area, uint8_t chck_cnt)
{
    uint8_t   i;

    for (i = 0; i < chck_cnt; i++) {
        if ( (touch_state->x > chck_area[i].x) && (touch_state->x < (chck_area[i].x + chck_area[i].s)) &&
             (touch_state->y > chck_area[i].y) && (touch_state->y < (chck_area[i].y + chck_area[i].s))
           ) {
             return (1 << i);
          }
    }
    return 0;
}
